SDL_GetHapticFromID(3)

NAME
SDL_GetHapticFromID - Get the SDL_Haptic associated with an instance ID, if it has been opened.

SYNOPSIS
#include <SDL3/SDL_haptic.h>

SDL_Haptic * SDL_GetHapticFromID(SDL_HapticID instance_id);

FUNCTION PARAMETERS

instance_id
    the instance ID to get the SDL_Haptic for.

RETURN VALUE
Returns an SDL_Haptic on success or NULL on failure or if it hasn't been opened yet; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.